#!/usr/bin/env python

from distutils.core import setup

setup(
    name='Glitch City Labs - Epilogue',
    version='0.0.1',
    description='Tools for exporting and creating archives of Glitch City Labs data',
    author='Adrian Kuschelyagi Malacoda',
    packages=['epilogue'],
    install_requires=['pysqlite3 >= 0.4.3', 'chevron >= 0.13.1', 'bbcode >= 1.1.0', 'mwparserfromhell >= 0.5.4', 'flask >= 1.1.2'],
    entry_points={
        'console_scripts': [
            'epilogue = epilogue:main',
            'gclredirector = epilogue.redirector:main'
        ]
    }
)
